收藏
回答

敢不敢把自动更新改成非强制的?

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug macOS 1.02.1803210

你们这个开发工具啊,我真真的是无语。。。前阵子连着3个发布都发出bug来就算了,今天遇到个情况让我对你们的设计都很无语。


关于工具的更新问题。


我今天临时在外面开了手机热点用电脑连上去,验证个东西。

结果当我打开微信开发工具的时候,就自动开始后台静默下载新版本的安装包,哥,我的流量啊!!!

OK,这事儿不怪你们,因为谁没事儿也不会总用手机热点去搞开发。

问题就是,我前面那次打开开发工具的时候给我自动下载完了,我退出了一下(期间没有安装更新),重新打开的时候又给我直接下载一遍???

这是什么逻辑?我没有安装,那之前下载的缓存文件不应该一直存在除非我手动清除掉么,还是说微信开发工具每次退出的时候都会自动清掉缓存数据?


好好好,我搞不过你我装我更新还不行嘛,反正流量已经耗了,OK我就安装更新了。重启进入后又开始自动下载???什么鬼!!!!

等他下载完后才提示我有版本更新,这个时候我才仔细看了下,谢特!搞半天我刚才装的不是最新的版本(我本来的版本是1802270,因为后面3月13日和15日更新的版本都有bug我就用的这个)。请问这又是什么逻辑??

一般这种工具更新的逻辑,不都是一次更新到最新版本吗?还要从我原本的版本开始,一个个更上去??是我来自火星还是你们的设计人员来自火星?


所以我真真的很服!非常服!!

一个开发工具都做成这样子,让人时不时的闹心,还怎么有信心在小程序这个平台上做下去!


OK,说完正事儿,当我要提交这篇文章的时候,跟我说要填写所有必要信息,你文本框里写的选填,然后功能又做成必填??


最后一次编辑于  2018-03-27
回答关注问题邀请回答
收藏

5 个回答

  • Can🌴
    Can🌴
    2018-03-27

    hi,非常抱歉给你造成困扰了。

    最近后台更新通知出现异常导致在低版本提示升级时下载了一个很旧版本(1.01.1711300)的

    导致一直更新不上。

    0321版本修复了这个更新bug。但是还在慢慢灰度中。


    2018-03-27
    赞同
    回复
  • 小白是鱼骨头啊丶
    小白是鱼骨头啊丶
    2018-03-29

    webstrom还是别了吧。

    2018-03-29
    赞同
    回复
  • 小凡
    小凡
    2018-03-29

    弄得跟webstorm是的就好了

    2018-03-29
    赞同
    回复
  • 提莫队长别开枪是我
    提莫队长别开枪是我
    2018-03-29

    说得好呀,开发工具还是不太好用

    2018-03-29
    赞同
    回复
  • Spencer
    Spencer
    2018-03-28

    我建议你们吧,首先增加稳定版本和开发版本(非稳定版本)的发布,不是说灰度就可以了的,至少放出来让所有人下载的版本应该是稳定的,未经过严格测试、灰度的版本标明清除是开发版本,并且自动更新时只对稳定版本进行检查。

    这是从流程上进行规范。


    其次吧,更新机制应该调整,几乎所有的开发工具都是有个自动检查更新和自动下载更新文件的设置选项的,并且就算打开了自动检查更新,在提示有新版本的时候也会有“跳过此版本”的选项(除非是重大且无法向前兼容的更新没有这个选项)。

    我觉得这个逻辑是一个开发工具的标配功能了,但不太明白已经面世了差不多1年的产品为什么会连这个基础的标配特性都没有。


    最近逛了下社区,发现很多人反馈开发调试中的各种麻烦和不稳定。

    开发工具就是为了帮助开发人员提升工作效率,但是这个工具这么久了还是这么的不稳定,希望你们能真的反思一下,一些很基本的东西用起来都是很让人不爽。或者你们可以提供插件啊,让开发者可以集成到一些比较常见的开发、调试工具里面去,你们只做最核心的东西不就好了,这样不是更专注。

    2018-03-28
    赞同
    回复